package rition.backend.api.v1.dto.request;

import lombok.Data;

@Data
public class AlertRuleAddRequest {
    /**
     * 规则对应的实例id
     */
    private String instanceId;

    /**
     * 需要计算的指标项或者表达式
     */
    private String expression;

    /**
     * 触发条件
     */
    private Integer condition;

    /**
     * 阈值
     */
    private String threshold;

    /**
     * 触发方法，实时计算或定时计算
     */
    private Integer trigger;

    /**
     * 规则描述
     */
    private String description;
}
