package rition.backend.util;

public class ObjectUtils {
    public static boolean allNull(Object ...objects) {
        for (var obj : objects) {
            if (obj != null) {
                return false;
            }
        }

        return true;
    }

    public static boolean allNonNull(Object ...objects) {
        for (var obj : objects) {
            if (obj == null) {
                return false;
            }
        }

        return true;
    }

    public static boolean atLeaseOneNonNull(Object ...objects) {
        return !allNull(objects);
    }
}
