package probe

import "github.com/shirou/gopsutil/v3/disk"

func (p *Probe) DiskStatus(mount, device string) (*disk.UsageStat, *disk.IOCountersStat) {
	diskStatus, _ := disk.Usage(mount)
	ioCounters, _ := disk.IOCounters(device)
	for _, stat := range ioCounters {
		return diskStatus, &stat
	}

	return nil, nil
}
