package service

import (
	"rition-testsuite/client"
	"time"
)

type Config struct {
	ClientConfig     client.Config
	DataFileLocation string

	ReportInterval time.Duration `json:"reportInterval,omitempty"`
}

type Service struct {
	config Config
	client *client.Client
}

func NewService(config Config) *Service {
	service := Service{
		config: config,
		client: client.NetClient(config.ClientConfig),
	}

	return &service
}
