package rition.backend.api.v1.panel;

import org.springframework.web.bind.annotation.*;
import rition.backend.api.v1.dto.request.ContractAddRequest;
import rition.backend.api.v1.dto.response.Response;

@RestController
@RequestMapping("/contract")
public class ContractController {
    @GetMapping("/list/{instanceId}")
    public Response<Object> getContractList(@PathVariable("instanceId") String instanceId) {
        return Response.success();
    }

    @PostMapping("/add/{instanceId}")
    public Response<Object> addContract(@PathVariable("instanceId") String instanceId,
                                        @RequestBody ContractAddRequest contractAddRequest) {
        return Response.success();
    }

    @PostMapping("/delete/{instanceId}")
    public Response<Object> deleteContract(@PathVariable("instanceId") String instanceId,
                                           @RequestParam("id") String contractId) {
        return Response.success();
    }
}
