package rition.service.collector.configure;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties("rition.kafka")
public class CollectorServiceKafkaConfigure {
    private DataCollectingKafkaConfig dataCollecting;

    @Data
    public static class DataCollectingKafkaConfig {
        private String topic;
        private String group;
    }


}
