const routes = [
  {
    path: '/',
    component: () => import('layouts/MainLayout.vue'),
    children: [
      { path: '', component: () => import('pages/MetricPage.vue') },
      { path: '/alerts', component: () => import('pages/AlertListPage.vue') },
      { path: '/contract', component: () => import('pages/ContractPage.vue') },
      { path: '/rules', component: () => import('pages/RulePage.vue') },
      // { path: '/ecs', component: () => import('pages/MetricPage.vue') },
    ]
  },

  // Always leave this as last one,
  // but you can also remove it
  {
    path: '/:catchAll(.*)*',
    component: () => import('pages/ErrorNotFound.vue')
  }
]

export default routes
